*Section 4: Discrete-time models
*Creating the person-period file and fitting a logit model

cd "c:\fiona\research\EHA briefing paper\examples\files for NCRM website"

*READ IN INDIVIDUAL-LEVEL FILE
use sect3

*EXPAND DATA TO PERSON-PERIOD FORMAT, WITH RECORDS FOR T=16 TO AGE1ST
expand age1st
sort id age1st
bysort id: gen t=_n
drop if t<16

*CREATE BINARY RESPONSE
gen y=0
replace y=1 if (t==age1st & event==1)

*CREATE TIME-VARYING COVARIATE FOR ENROLMENT IN FULL-TIME EDUCATION
gen fulltime=0
replace fulltime=1 if t<=ageleft

*CREATE DURATION-SQUARED TERM
gen tsq=t*t

*FIT LOGIT MODEL
logit y t tsq female reg1 reg2 reg3 fclass1 fclass2 fulltime
