*Section 7: Multinomial logit model for competing risks

*READ IN DATA WHICH ARE IN THE FORM OF 1 RECORD PER 6-MONTH INTERVAL OF CONTRACEPTIVE USE
cd "c:\fiona\research\EHA briefing paper\examples\files for NCRM website"

use sect7

*Y IS THE MULTINOMIAL OUTCOME (0=STILL USING SAME METHOD, 1=DISCONTINUE, 2=METHOD SWITCH)
*DUR* ARE DUMMIES FOR DURATION OF USE
*AGE* ARE DUMMIES FOR AGE (1=<25, 2=25-34, 3=35-49)
*EDUC* DUMMIES FOR EDUCATION (1=none, 2=primary, 3=secondary+)
*SOCIO DUMMIES FOR SOCIO-ECONOMIC STATUS (1=low, 2=medium, 3=high)
*M* DUMMIES FOR CONTRACEPTIVE METHOD (1=pill/injectable, 2=norplant/IUD. 3=other modern, 4=traditional)


*FIT MULTINOMIAL LOGIT MODEL.  BY DEFAULT THE MOST FREQUENT CATEGORY IS TAKEN AS THE REFERENCE
*THEREFORE Y=0 ('CONTINUE USE') IS THE REFERENCE
mlogit y dur6_11 dur12_23 dur24_35 dur36 age2 age3 educ2 educ3 urban socio2 socio3 m2 m3 m4 




